## manpages-cs 0.18.20090209

=== Makefile ===
MANDIR=/usr/share/man/cs
SECTIONS=1 2 3 4 5 6 7 8

all:

install: $(SECTIONS:%=install-section-%)

install-section-%:
	install -m 755 -d $(DESTDIR)$(MANDIR)/man$*
	find . -name '*.$*' -not -path '*.pc*' -print0 | xargs -r -0 install -m 644 -t $(DESTDIR)$(MANDIR)/man$*

check:
	# Check man pages syntax
	# We ignore includes (.so), because directory structure does not allow checking this
	find . -name '*.[1-8]' -not -path '*.pc*' | \
		while read page ; do \
			if grep -q '\.so' $$page; then continue ; fi ; \
			perl check-hyphens.pl $$page ; \
		done

.PHONY: all install check

=== debian/changelog ===
manpages-cs (0.18.20090209-2) unstable; urgency=low

  * Fix typo in date man page.
  * Fix relation in dependencies (<< instead of <).
  * Bump standards to 3.8.4.
  * Convert to 3.0 (quilt) source package.

 -- Michal Čihař <nijel@debian.org>  Tue, 22 Jun 2010 17:03:47 +0200

manpages-cs (0.18.20090209-1) unstable; urgency=low

  * New upstream version.
  * Makefile patches were merged upstream.
  * Do not use patch for removing man pages, rather remove them in
    debian/rules.
  * Remove more duplicated man pages.

 -- Michal Čihař <nijel@debian.org>  Mon, 09 Feb 2009 07:48:23 +0100

manpages-cs (0.18.20090207-1) unstable; urgency=low

  * New upstream version.
  * Adjusted Vcs-* headers to point to trunk.
  * Fixed watch file for new upstream download location.
  * Updated patches.
  * We now use quilt instead of dpatch.
  * Switch to debhelper 7.
  * Add README.source.
  * Update to policy 3.8.0.
  * Update debian/copyright:
    - List new authors.
    - Point to versioned GPL/GFDL files.
    - Update copyright years.
  * Improve long description to list what man pages are translated.

 -- Michal Čihař <nijel@debian.org>  Sun, 08 Feb 2009 09:43:58 +0100

manpages-cs (0.17.20080113-1) unstable; urgency=low

  * New upstream version.
  * Conflict with man-db (< 2.5.0-1) as it didn't work properly with utf-8 man
    pages.
  * Suggest man-browser and mapages just for completeness.

 -- Michal Čihař <nijel@debian.org>  Mon, 14 Jan 2008 19:46:01 +0900

manpages-cs (0.17.20070905-1) unstable; urgency=low

  * Initial release (Closes: #459776).

 -- Michal Čihař <nijel@debian.org>  Wed, 09 Jan 2008 16:14:01 +0900

=== debian/control ===
Source: manpages-cs
Section: doc
Priority: optional
Maintainer: Michal Čihař <nijel@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4
Homepage: http://sweb.cz/tropikhajma/man-pages-cs/
Vcs-Svn: svn://svn.cihar.com/debian-manpages-cs/trunk
Vcs-Browser: http://viewsvn.cihar.com/debian-manpages-cs/trunk

Package: manpages-cs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: man-db (<< 2.5.0-1)
Suggests: man-browser, manpages
Description: Czech version of the manual pages
 This package contains the Linux manual pages translated into
 Czech.
 .
 It contains translated man pages from following sources:
 .
  * at
  * binutils
  * bsd-finger
  * bzip2
  * cdp
  * coreutils
  * gnu-ghostscript
  * grep
  * lilo
  * lynx
  * man-pages
  * netkit-ntalk
  * nfs-utils
  * openssh
  * procmail
  * procps
  * sane-backends
  * traceroute
  * util-linux
  * wget

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	#  kill.1 and uptime.1 can come from both coreutils and procps, Debian ships procs ones and so we do
	rm coreutils/man/kill.1
	rm coreutils/man/uptime.1
	# Debian ships these from coreutils
	rm man-pages/man1/du.1
	rm man-pages/man1/dir.1
	rm man-pages/man1/vdir.1
	# translated passwd.5 is already shipped by passwd package
	rm man-pages/man5/passwd.5
	# translated su.1 is already shipped by login package
	rm coreutils/man/su.1
	touch $@

clean:
	dh clean

install: build
	dh install

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do

# Build architecture-independent files here.
binary-indep: build install
	dh binary-indep

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://tropikhajma.sweb.cz/man-pages-cs/man-pages-cs-(.*)\.tar\.lzma
